import { NotebookPanel } from "@jupyterlab/notebook";
import { Cell } from "@jupyterlab/cells";
import { NotebookInfo } from "./manager";
export declare function saveKernelInfo(): void;
export declare function hideLanSelector(cell: any): void;
export declare function toggleDisplayOutput(cell: any): void;
export declare function addLanSelector(cell: Cell, info: NotebookInfo): void;
export declare function changeCellKernel(cell: Cell, kernel: string, info: NotebookInfo): void;
export declare function changeStyleOnKernel(cell: Cell, kernel: string, info: NotebookInfo): void;
export declare function updateCellStyles(panel: NotebookPanel, info: NotebookInfo): Array<string>;
